Subject: Re: gcc4.0
To: George Michaelson <>
From: Berndt Josef Wulf <>
List: tech-pkg
Date: 11/03/2005 11:17:28
Content-Type: text/plain;
Content-Transfer-Encoding: quoted-printable
Content-Disposition: inline

On Wed, 2 Nov 2005 17:23, George Michaelson wrote:
> So gcc4 has gone to 4.0.2. There still doesn't seem to be an adopted
> pkg in the lang/ space.
> Last time there was any discussion, things kinda frosted out. (July
> of this year) OK, so new compilers often have regressions, but there are
> two sides to this coin: if we don't see a pkg, or work to test NetBSD
> against the newer compiler than (a) regressions don't get found and (b)
> we wind up being stuck on old compilers which has *HUGE* downside costs
> when packages people use in real-world deployments start depending on
> the newer compiler features (and that has happened in the past to
> pkgsrc)
> I am not a coder. so I am admittedly whining, caveat emptor applies.
> But can we *please* see some core team activity to at least flag that
> we need gcc4 tested against the code, and some indication on how things
> might stand in the future..
> Do we have a plan to get gcc4 into pkgsrc space?
> Do we have a plan to test gcc4 across the platforms, to see what breaks
> in userspace and the kernel?
> Do we skip 3.4?
> -George


NetBSD-i386-current uses gcc version 3.3.3. This version is known to have a=
several of bugs that forced me to make use of gcc version 3.4.4 from the=20
pkgsrc tree, e.g. pkgsrc/math/fftwf will segfault with sse optimized=20
binaries. I also have a local copy of gcc4-ada in order to participate in A=
related projects.

I'm in support of Georges enquiry and like to propose ditching gcc3, keepin=
gcc3.4 and creating gcc4 to reflect current developments.

Can someone enlighten me why NetBSD is stuck on the buggy gcc-3.3.3 and did=
upgrade to gcc-3.4.4?

cheerio Berndt

Content-Type: application/pgp-signature

Version: GnuPG v1.4.2 (NetBSD)